.articleThumb {
    display: flex;
    gap: 15px;
    align-items: end;
    padding: 10px;
    transition: 0.5s background;
    background-color: white;
    /* flex-wrap: wrap; */
    .thumbImage {
        width: min(100svw, 300px);
        aspect-ratio: 1.5;
        object-fit: cover;

        &[src$=".svg"] {
            object-fit: contain;
            border: 1px solid gray;
            padding: 10px;
        }

    }

    .thumbKicker {
        font-size: 80%;
        color: gray;
    }

    .thumbTitle {
        font-weight: bold;
        color: var(--color1);
        font-size: 1.1em;
        line-height: 2;
    }

    .thumbIntro {
        color: gray;
        -webkit-line-clamp: 5;
        /* تعداد خطوطی که می‌خوای نشون بدی */
        -webkit-box-orient: vertical;
        display: -webkit-box;
        overflow: hidden;
        text-overflow: ellipsis;
        line-height: 2;
        height: calc(2em *5);
    }
    .thumbContinue{
        text-align: end;
        color:var(--color2);
        margin-top:20px;
    }
    &:hover {
        background-color: var(--lightGray);

        * {
            color: black;
        }
    }

    &.minThumb {
        flex-direction: column;
        align-items: start;
        margin-bottom: 10px;

        .thumbImage {
            align-self: center;
            width: 100%;
        }

        .thumbKicker {
            height: 1.5rem;
            width: 100%;
            overflow: hidden;
        }

        .thumbTitle {
            height: 3.5rem;
            width: 100%;
            overflow: hidden;
            color:black;
        }

        .thumbIntro {}
    }
}

@container (width < 600px) {

    .articleThumb {
        flex-direction: column;

        .thumbImage {
            align-self: center;
            width: min(100svw, 300px)
        }
    }
}